incubator-s4-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matthieu Morel <mmo...@apache.org>
Subject Re: problem migrating from s4-0.3.0 to s4-0.5/6.0
Date Mon, 22 Jul 2013 15:11:05 GMT
Hi,

although the same driving concepts are used, and as announced on the project page, there is
currently no backward compatibility between versions of S4.

Generally, you have the following correspondence:
- processEvent() -> onEvent()
- output() -> <downstream Stream field>.put()

To start, please look at the relevant information on the documentation: http://incubator.apache.org/s4/doc/0.6.0/

Hope this helps,

Matthieu

On Jul 22, 2013, at 16:45 , kiran gvr <gvrkirann@gmail.com> wrote:

> Hi,
> 
> I am very new to S4. I would like to migrate an existing S4 0.3.0 project to some version
>= 0.5.0. I was able to find absolutely no documentation about backward compatibility or
change of the existing methods. Is there some place I could find such a thing? I am especially
interested in the processEvent() and output() methods. Any help, to get me started would be
really appreciated,.
> 
> 
> Regards,
> Kiran


Mime
View raw message